﻿class Piston extends MovieClip {
	var rollover:Boolean = false;
	//最初は停止から始める
	function onLoad() {
		stop();
	}
	//マウスカーソルがロールオーバーした
	function onRollOver() {
		//ロールオーバー開始
		rollover = true;
		onEnterFrame = animation;
	}
	//マウスカーソルがロールアウトした
	function onRollOut() {
		//ロールオーバー終了
		rollover = false;
		onEnterFrame = animation;
	}
	//フレームが進む度に実行
	function animation() {
		if (rollover) {
			//次のフレームへ進む（最終フレームでは無視される）
			nextFrame();
		} else {
			//手前のフレームに戻る（先頭フレームでは無視される）
			prevFrame();
		}
		//先頭または最後のフレームに到達したらアニメーションを終了する
		if ((_currentframe == 1) || (_currentframe == _totalframes)) {
			//onEnterFrameイベントハンドラを消去する
			delete onEnterFrame;
		}
	}
}
